<link href="estilos/gestion.css" rel="stylesheet" type="text/css">
<!--script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3/jquery.min.js"></script-->
<!--script type="text/javascript" src="http://cdn.jquerytools.org/1.2.5/full/jquery.tools.min.js"></script-->
<link rel="stylesheet" type="text/css" href="estilos/datePicker.css"  />
<link rel="stylesheet" href="estilos_zurb/globals.css">
<link rel="stylesheet" href="estilos_zurb/typography.css">
<link rel="stylesheet" href="estilos_zurb/ui.css">
<link rel="stylesheet" href="estilos_zurb/forms.css">
<link rel="stylesheet" href="estilos_zurb/reveal.css">


<!-- ESTILOS ZURB -->
<script src="js/jszurb/modernizr.foundation.js"></script>    	
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tools.min.js"></script>
<script src="js/jquery-ui-1.8.16.custom.min.js" type="text/javascript"></script>
<script type="text/javascript" src="js/jquery-ui-timepicker-addon.js"></script>

    

<script src="js/jszurb/jquery.customforms.js"></script>
<script src="js/jszurb/jquery.placeholder.min.js"></script>
<script src="js/jszurb/jquery.tooltips.js"></script>
<script src="js/jszurb/jquery.reveal.js"></script>
<script src="js/jszurb/app.js"></script>


<!-- ALERTA SMOKE -->
<link rel="stylesheet" href="estilos/smoke.css" type="text/css" media="screen" />  
<script src="js/smoke/smoke.js" type="text/javascript"></script>


<script type="text/javascript"> 

	$(document).ready(function(){

		$.datepicker.regional['es'] = {
			closeText: 'Cerrar',
			prevText: '&#x3c;Ant',
			nextText: 'Sig&#x3e;',
			currentText: 'Hoy',
			monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
			'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
			monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
			'Jul','Ago','Sep','Oct','Nov','Dic'],
			dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
			dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
			dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
			weekHeader: 'Sm',
			dateFormat: 'dd-mm-yy',
			firstDay: 1,
			isRTL: false,
			showMonthAfterYear: false,
			yearSuffix: ''};
			
		$.datepicker.setDefaults($.datepicker.regional['es']);
		
		$('.datepicker').datepicker({
				currentText:"Ahora",
				closeText:"Cerrar",
				changeYear:"true",
				changeMonth: "true",
				dateFormat: 'dd-mm-yy'
		});
		
	});
	
	
	function muestra_aviso(texto_aviso,color) {
		
		var colorAviso ="";
		switch(color) {
			case "rojo":
				colorAviso="#D81318";
				break;
			case "verde":
				colorAviso="#7FAE00";
				break;
			case "naranja":
				colorAviso="#F28901";
				break;
		}
		
		$("#area_notificaciones").css({background:colorAviso});
		$("#area_notificaciones").html(texto_aviso);
		$("#area_notificaciones").fadeIn("slow");
		$("#area_notificaciones").delay(2500).fadeOut("slow");	
		
		
	}
	
	
	
//Funciones para ocultar los span, input y select y mostrar la información sin poder editarla en nueva venta
function muestra_span (spn) {
	var $this = jQuery(spn);
	$this.attr("style", "display:inherit");
}

function oculta_cajas(npt) {
	var $this = jQuery(npt),
	expr = "uds_"; //no ocultamos los campos de cantidad
	
	if($this.attr('id') != "txt_nombre_prod" && $this.attr('id') != "txt_descripcion" && !($this.attr('id').match(expr)) ) {
	$this.attr("style", "display:none");
	}
}

function oculta_select(slc) {
	var $this = jQuery(slc),
	$objetivo = $this.next('div');
		$objetivo.each(function(){
		if($this.attr('id') != "select_categorias" && $this.attr('id') != "select_subcategorias") {	
			$objetivo.attr("style", "display:none");	
		}
	});
}


//Control de errores en la entrada de nueva venta
function marca_errores(element) {
	var $this = jQuery(element);
	expr = "uds_"; //no ocultamos los campos de cantidad
	
	if ($this.attr('name')!="txt_nombre_prod" && $this.attr('name')!="txt_descripcion" && !($this.attr('id').match(expr))) {
		if ($this.attr('value') == "" && $this.attr('name')!="txt_cp") {
			$this.attr("style","border:1px solid #D81318");	
		}else {
			$this.attr("style","border:1px solid #CCC");	
		}
	}
}


function marca_errores_select(element_select) {
	
	var $this = jQuery(element_select),
	$selector = 'a#'+$this.attr('id')+'.current';
	
	if ($this.attr('value') == 0 && $this.attr('id')!="select_categorias" && $this.attr('id')!="select_subcategorias") {
		$($selector).css({border:"1px solid #D81318"});	
	}else {
		$($selector).css({border:"1px solid #CCC"});	
	}
}
	
	
//Esta función vuelve a crear la apariencia para el combobox que carga a través de Ajax.
function appendCustomSelect(sel,op) {
    var $this = $(sel),
        $customSelect = $this.next('div.custom.dropdown'),
        $options = $this.find('option'),
		$id = $this.attr('id'),
        maxWidth = 0,
        $li;
		$clase='';
		

    if ($customSelect.length === 0) {
      $customSelectSize = '';
      if ($(sel).hasClass('small')) {
      	$customSelectSize = 'small';
      } else if ($(sel).hasClass('medium')) {
      	$customSelectSize = 'medium';
      } else if ($(sel).hasClass('large')) {
      	$customSelectSize = 'large';
      } else if ($(sel).hasClass('expand')) {
      	$customSelectSize = 'expand';
      }
	  
	  //usamos op para controlar el tamaño del combo tras ser recargado cuando está a dos columnas en nueva venta.	
		if(op==1) {
			$customSelectSize = ' small';
		}else{
			$customSelectSize ="medium";
		}
	  
      $customSelect = $('<div class="custom dropdown ' + $customSelectSize + '"><a href="#" class="selector"></a><ul></ul></div>"');
      $options.each(function () {
        $li = $('<li>' + $(this).html() + '</li>');
        $customSelect.find('ul').append($li);
      });
      $customSelect.prepend('<a href="#" class="current" id="'+$id+'">' + $options.first().html() + '</a>');

      $this.after($customSelect);
      $this.hide();
      
    } else {
      // refresh the ul with options from the select in case the supplied markup doesn't match
      $customSelect.find('ul').html('');
      $options.each(function () {
        $li = $('<li>' + $(this).html() + '</li>');
        $customSelect.find('ul').append($li);
      });
    }

    $customSelect.toggleClass('disabled', $this.is(':disabled'));

    $options.each(function (index) {
      if (this.selected) {
        $customSelect.find('li').eq(index).addClass('selected');
        $customSelect.find('.current').html($(this).html());
      }
    });

    $customSelect.find('li').each(function () {
      $customSelect.addClass('open');
      if ($(this).outerWidth() > maxWidth) {
        maxWidth = $(this).outerWidth();
      }
      $customSelect.removeClass('open');
    });
    
    if (!$customSelect.is('.small, .medium, .large, .expand')) {
      $customSelect.css('width', maxWidth + 18 + 'px');
      $customSelect.find('ul').css('width', maxWidth + 16 + 'px');
    }

  }

  $('form.custom select').each(function () {
    appendCustomSelect(this);
  });
	
	
	
</script>

<script src="js/jquery-ui-1.8.18.custom.js" type="text/javascript"></script>
<script type="text/javascript" src="js/jquery.ui.core.min.js"></script>
<script type="text/javascript" src="js/jquery.effects.shake.min.js"></script>