<?php
class Categorias extends PropertyObject {
	
	public function __construct ($CategoriasID) {
		
		if (isset($CategoriasID)) {			
			$arData = DataManagerCategorias::getCategoriasData($CategoriasID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_categoria'] = 'id02_categorias';
		$this->propertyTable ['nombre'] = 'nombre';
	}
	
	public function del () {
			DataManagerCategorias:: deleteCategorias ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id_categoria']) {
				DataManagerCategorias::updateCategorias ($this);
			}
			else  {
				echo "en el destructor de formas de Categorias";
				DataManagerCategorias::createCategorias ($this);
			}
			
		}			
	}

}

?>