<?php
class FormasEnvio extends PropertyObject {
	
	public function __construct ($FormasEnvioID) {
		
		if (isset($FormasEnvioID)) {			
			$arData = DataManagerFormasEnvio::getFormasEnvioData($FormasEnvioID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_formas_envio'] = 'id042_formasEnvio';
		$this->propertyTable ['nombre'] = 'nombre';
		$this->propertyTable ['precio'] = 'precio';
	}
	
	public function del () {
			DataManagerFormasEnvio:: deleteFormasEnvio ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id_formas_envio']) {
				DataManagerFormasEnvio::updateFormasEnvio ($this);
			}
			else  {
				echo "en el destructor de formas de envio";
				DataManagerFormasEnvio::createFormasEnvio ($this);
			}
			
		}			
	}

}

?>