<?php
class Imagenes extends PropertyObject {
	
	public function __construct ($imagenesID) {
		
		if (isset($imagenesID)) {			
			$arData = DataManagerImagenes::getImagenData($imagenesID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_imagen'] = 'id07_imagenes';
		$this->propertyTable ['id_generado'] = 'id_generado';
		$this->propertyTable ['nombre'] = 'nombre';
		$this->propertyTable ['ruta'] = 'ruta';
		$this->propertyTable ['descripcion'] = 'descripcion';
		$this->propertyTable ['descripcion_larga'] = 'descripcion_larga';
		$this->propertyTable ['descriptor'] = 'descriptor';
		$this->propertyTable ['fecha_creacion'] = 'fecha_creacion';
		$this->propertyTable ['fecha_modificacion'] = 'fecha_modificacion';
	}
	
	public function del () {
			DataManagerImagenes:: deleteImagen ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id07_imagenes']) {
				DataManagerImagenes::updateImagen ($this);
			}
			else  {
				echo "en el destructor de imagenes";
				DataManagerImagenes::createImagen ($this);
			}
			
		}			
	}

}

?>