<?php
class Productos extends PropertyObject {
	
	public function __construct ($ProductosID) {
		
		if (isset($ProductosID)) {			
			$arData = DataManagerProductos::getProductosData($ProductosID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_producto'] = 'id01_productos';
		$this->propertyTable ['id_categoria'] = '02_categorias_id02_categorias';
		$this->propertyTable ['id_subcategoria'] = '03_subcategorias_id03_subcategorias';
		$this->propertyTable ['id_imagenes'] = '07_imagenes_id07_imagenes';
		$this->propertyTable ['nombre'] = 'nombre';
		$this->propertyTable ['descripcion'] = 'descripcion';
		$this->propertyTable ['disponible'] = 'disponible';
		$this->propertyTable ['oferta'] = 'oferta';
		$this->propertyTable ['novedad'] = 'novedad';
		$this->propertyTable ['portada'] = 'portada';		
		$this->propertyTable ['precio'] = 'precio';
	}
	
	public function del () {
			DataManagerProductos:: deleteProductos ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id01_productos']) {
				DataManagerProductos::updateProductos ($this);
			}
			else  {
				echo "en el destructor de Productos";
				DataManagerProductos::createProductos ($this);
			}
			
		}			
	}

}

?>