<?php
class Provincias extends PropertyObject {
	
	public function __construct ($provinciaID) {
		
		if (isset($provinciaID)) {			
			$arData = DataManagerProvincias::getProvinciaData($provinciaID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_provincia'] = 'id06_provincias';
		$this->propertyTable ['nombre'] = 'nombre';
	}
	
	public function del () {
			DataManagerProvincias:: deleteProvincia ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id_provincia']) {
				DataManagerProvincias::updateProvincia ($this);
			}
			else  {
				echo "en el destructor de provincias";
				DataManagerProvincias::createProvincia ($this);
			}
			
		}			
	}

}

?>