<?php
	include_once ('config.php');
	include_once (dirroot.'includes/includes.php');
	$mnu_activo =2;
	date_default_timezone_set ('Europe/Madrid');
	
	if ( (isset($_GET['borrarRegistros'])) and  ($_GET['borrarRegistros']==1) ) {
		$array_eliminar = (array) $_GET['check'];
		foreach ($array_eliminar as $clave => $valor) {
			$venta = new Ventas ($valor);	
			$venta->del();
		}
	}	
	
	
	//Cerramos la sesión
	if(isset($_GET["sesion"])) {
		//session_name("sesiondirh");
		session_start();
		session_unset();
		session_destroy();
		Header ("Location: login.php");
	}
	
	
?>

<!DOCTYPE html>
<html lang="es">
<head>

<title>Listado de ventas, Gesti&oacute;n Pita Pinta</title>
<?php include_once ('includes/scripts_css.php'); ?>

<script language="javascript"> 

	//PAGINACION DE LOS RESULTADOS DE LA TABLA
	function paginacion_siguiente () {		 
		$('tbody').load('ajax/listado_ventas.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_siguiente').val());
	}

	function paginacion_anterior () {		 
		$('tbody').load('ajax/listado_ventas.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_anterior').val());
	}
	function paginacion_ir () {
	 	pagina=($('#paginador').val()-1)*<?=cantidad_big?>;	
	 	$('tbody').load('ajax/listado_ventas.php?where='+$('#condicion').val()+'&inicio='+pagina);
	}
	
	function borrar_filas(){
		
			smoke.confirm('Eliminar Venta/s?',function(e){
				if (e){
					//smoke.alert('Confirmar pulsado');
					document.listado_ventas.borrarRegistros.value='1';
					document.listado_ventas.submit();
				}else{
					//smoke.alert('Cancelar pulsado');
					return false; 
				}
			});
	}
	
	
$(document).ready(function(){
	
	
	$('#buscar').click (function(event){
		
		if (!$("#chk_no_enviado:checked").val()){ 
				var noenviado = 0;
				}else{
				var noenviado = 1;
		
		}
		
		if (!$("#chk_enviado:checked").val()){ 
				var enviado = 0;
				}else{
				var enviado = 2;
		
		}
		
		//alert($('#select_subcategorias').val());			
	 	$('tbody').load('ajax/listado_ventas.php?fdesde='+$('#txt_fecha_desde').val()+'&fhasta='+$('#txt_fecha_hasta').val()+'&eventa='+$('#select_estado_venta').val()+'&nombre='+$('#txt_nombre').val()+'&apellidos='+escape($('#txt_apellidos').val())+'&dni='+$('#txt_dni').val()+'&nventa='+$('#txt_numero_venta').val()+'&fenvio='+$('#select_formas_envio').val()+'&enviado='+enviado+'&noenviado='+noenviado);
	}); 
	
	
});

</script>


</head>

<body>

	<div id="contenedor">
    
    	<div id="cabecera"></div><!--fin cabecera-->
        
        
         <div id="content_menu">
            <?php include_once ('includes/menu.php'); ?>
        </div><!--fin content menu-->
        
        
        <div id="contenido">
        
        	<div id="titular">
            	<h4>Listado de ventas</h4>
                <a href="rizeni_nuevo_venta.php" class="nice small radius blue button posiciona_btn">Nueva venta</a>
            </div><!-- fin titular-->
	
			<form id="listado_ventas" class="custom nice" name="listado_ventas">
            
        	<div class="triple_col" id="firstcol">
            
                <label for="fecha_desde">Fecha desde
                    <input class="input-text datepicker" type="text" name="txt_fecha_desde" id="txt_fecha_desde" size="60" value=""  />
                </label>
                            
                <label for="fecha_hasta">Fecha hasta
                    <input class="input-text datepicker" type="text" name="txt_fecha_hasta" id="txt_fecha_hasta"  size="10" value=""  />
                </label> 	 
                
                <label for="provincia">N&ordm; de venta
                   <input class="input-text" type="text" name="txt_numero_venta" id="txt_numero_venta"  size="10" value=""  />
                </label>  
            
            </div><!-- fin col 1 -->
            
            <div class="triple_col">
                          
                <label for="Nombre">Nombre
                    <input class="input-text" type="text" name="txt_nombre" id="txt_nombre"  size="10" value=""  />
                </label>
                
                <label for="Apellidos">Apellidos
                    <input class="input-text" type="text" name="txt_apellidos" id="txt_apellidos"  size="10" value=""  />
                </label>
                
                <label for="dni">D.N.I
                    <input class="input-text" type="text" name="txt_dni" id="txt_dni"  size="10" value=""  />
                </label>

                   
            </div><!--fin col 2-->
            
            
            <div class="triple_col">
            
            	<label for="estado_venta">Estado de la venta
                    <?=DataManagerEstadoVenta::select_estado_venta(0)?>
                </label>
                
                <label for="forma_de_pago">Forma de env&iacute;o
                    <?=DataManagerFormasEnvio::select_formas_envio(0)?>
                </label> 
                
                <label for="txt_enviado">Estado del env&iacute;o
                   <span class="div_envio"><input type="checkbox" name="chk_no_enviado" id="chk_no_enviado"  size="10" value="1" <?=$checked?> /> Solo no enviados <input type="checkbox" name="chk_enviado" id="chk_enviado"  size="10" value="2" <?=$checked?> /> Solo enviados</span>
                </label>
                
            
            </div><!-- fin col 3-->
            

            <div id="botones">     
            	<a href="javascript:void(0);" class="nice medium radius green button" id="buscar">Buscar</a>
       		</div><!--div botones -->

            
            <div class="col_ancho_total">
            
            	<table id="listado">
                	<thead>
                    	<tr>
                        	<th>N&ordm; Venta</th><th>Fecha</th><th>Nombre</th><th>Apellidos</th><th>Estado Pago</th><th>Forma Pago</th><th>Importe</th><th><a href="javascript:void(0)" onclick="javascript:borrar_filas();" class="nice small radius red button" style="width:65px;height:15px;padding:3px 0px 0px 0px;">Eliminar</a></th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    	<?=DataManagerVentas::listado_ventas(0,cantidad_big,'',-1)?> 
                    </tbody>
                    <input type="hidden" name="borrarRegistros" id="borrarRegistros" value="0">
                 </table>
                 
            </div><!-- fin col todo ancho-->
        
			</form>
        	
        
        </div><!--fin contenido-->
    
    
    
    
    
    
    
    
    
    </div><!-- fin contenedor-->




</body>
</html>
