<?php
class EstadoVenta extends PropertyObject {
	
	public function __construct ($estadoVentaID) {
		
		if (isset($estadoVentaID)) {			
			$arData = DataManagerEstadoVenta::getEstadoVentaData($estadoVentaID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_estado_venta'] = 'id041_estadoVenta';
		$this->propertyTable ['nombre'] = 'nombre';
	}
	
	public function del () {
			DataManagerEstadoVenta:: deleteEstadoVenta ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id_estado_venta']) {
				DataManagerEstadoVenta::updateEstadoVenta ($this);
			}
			else  {
				echo "en el destructor de provincias";
				DataManagerEstadoVenta::createEstadoVenta ($this);
			}
			
		}			
	}

}

?>