<?php
class Subcategorias extends PropertyObject {
	
	public function __construct ($SubcategoriasID) {
		
		if (isset($SubcategoriasID)) {			
			$arData = DataManagerSubcategorias::getSubcategoriasData($SubcategoriasID);		
			parent::__construct ($arData);
		}
				
		$this->propertyTable ['id_subcategoria'] = 'id03_subcategorias';
		$this->propertyTable ['id_sub_categoria'] = '02_subcategorias_id02_categorias';
		$this->propertyTable ['nombre'] = 'nombre';
	}
	
	public function del () {
			DataManagerSubcategorias:: deleteSubategorias ($this);									
		}
		
	
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id_subcategoria']) {
				DataManagerSubcategorias::updateSubategorias ($this);
			}
			else  {
				echo "en el destructor de formas de Categorias";
				DataManagerSubcategorias::createSubategorias ($this);
			}
			
		}			
	}

}

?>