<?php

class VentasProductos extends PropertyObject {
	
	public function __construct ($VentaProductosID) {
		
		if (isset($VentaProductosID)) {			
			$arData = DataManagerVentaProductos::getVentasProductosData ($VentaProductosID);
			parent::__construct ($arData);
		}		
		$this->propertyTable ['id_ventas_productos'] = 'id05_ventas_productos';
		$this->propertyTable ['precio'] = 'precio';
		$this->propertyTable ['cantidad'] = 'cantidad';
		$this->propertyTable ['id_venta'] = '04_ventas_id04_ventas';
		$this->propertyTable ['id_producto'] = '01_productos_id01_productos';

	}
	
	
	public function del () {
			DataManagerVentaProductos::deleteVentasProductos ($this);									
	}
		
	public function __destruct () {
			
		if (sizeof($this->changedProperties)){
			if ($this->data ['id05_ventas_productos']) {
				DataManagerVentaProductos::updateVentasProductos ($this);
			}
			else  {
				//echo "vamos a crear VentasProductos";
				DataManagerVentaProductos::createVentasProductos ($this);
				
			}
			
		}			
	}
	
}

?>