<?php
	include_once ('config.php');
	include_once (dirroot.'includes/includes.php');
	$mnu_activo =1;
	date_default_timezone_set ('Europe/Madrid');
	
	if ( (isset($_GET['borrarRegistros'])) and  ($_GET['borrarRegistros']==1) ) {
		$array_eliminar = (array) $_GET['check'];
		foreach ($array_eliminar as $clave => $valor) {
			$producto = new Productos ($valor);	
			$producto->del();
		}
	}	
	
	//Cerramos la sesión
	if(isset($_GET["sesion"])) {
		//session_name("sesiondirh");
		session_start();
		session_unset();
		session_destroy();
		Header ("Location: login.php");
	}
	
?>

<!DOCTYPE html>
<html lang="es">
<head>

<title>Listado de productos, Gesti&oacute;n Pita Pinta</title>
<?php include_once ('includes/scripts_css.php'); ?>

<script language="javascript"> 

	//PAGINACION DE LOS RESULTADOS DE LA TABLA
	function paginacion_siguiente () {		 
		$('tbody').load('ajax/listado_productos.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_siguiente').val()+'&opcion=1');
	}

	function paginacion_anterior () {		 
		$('tbody').load('ajax/listado_productos.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_anterior').val()+'&opcion=1');
	}
	function paginacion_ir () {
	 	pagina=($('#paginador').val()-1)*<?=cantidad_big?>;	
	 	$('tbody').load('ajax/listado_productos.php?where='+$('#condicion').val()+'&inicio='+pagina+'&opcion=1');
	}
	
	function borrar_filas(){
		
			smoke.confirm('Eliminar producto/s?',function(e){
				if (e){
					//smoke.alert('Confirmar pulsado');
					document.listado_producos.borrarRegistros.value='1';
					document.listado_producos.submit();
				}else{
					//smoke.alert('Cancelar pulsado');
					return false; 
				}
			});
	}
	
	
$(document).ready(function(){
	
	$("#select_categorias").live('change', function(){ 
	
		var id_categoria = $("#select_categorias").val();

		if (id_categoria == 0) {
			$('#select_subcategorias').html('<option value="0">Seleccione Categor&iacute;a ...</option>');
			appendCustomSelect("#select_subcategorias");
			
		}else{
			var combo_pro = 1;
			$('#subCategoria').load('ajax/cargar_subcategorias.php?opcion='+combo_pro+'&id_categoria='+id_categoria,function(){
			appendCustomSelect("#select_subcategorias");
			});
			
			$("#select_categorias.current").css({border:"1px solid #CCC"});
		}
	
	});
	
	$('#buscar').click (function(event){

		if (!$("#chk_disponible:checked").val()){ 
			var chkDisponible = 0;
		}else{
			var chkDisponible = 2;
		}
		
		if (!$("#chk_nodisponble:checked").val()){ 
			var chknoDisponible = 0;
		}else{
			var chknoDisponible = 1;
		}
		
		if (!$("#chk_portada:checked").val()){ 
			var chkportada = 0;
		}else{
			var chkportada = 2;
		}
		
		if (!$("#chk_oferta:checked").val()){ 
			var chkOferta = 0;
		}else{
			var chkOferta = 2;
		}
		
		if (!$("#chk_novedad:checked").val()){ 
			var chkNovedad = 0;
		}else{
			var chkNovedad = 2;
		}
		
		//alert($('#select_subcategorias').val());
			
	 	$('tbody').load('ajax/listado_productos.php?nombre='+$('#txt_nombre').val()+'&descripcion='+escape($('#txt_descripcion').val())+'&disponible='+chkDisponible+'&oferta='+chkOferta+'&novedad='+chkNovedad+'&categoria='+$('#select_categorias').val()+'&subcategoria='+$('#select_subcategorias').val()+'&nodisponible='+chknoDisponible+'&portada='+chkportada+'&opcion=1');
	}); 
	
	
});

</script>


</head>

<body>

	<div id="contenedor">
    
    	<div id="cabecera"></div><!--fin cabecera-->
        
        <div id="content_menu">
            <?php include_once ('includes/menu.php'); ?>
        </div><!--fin content menu-->
        
        <div id="contenido">
        
        	<div id="titular">
            	<h4>Listado productos</h4>
                <a href="rizeni_nuevo_producto.php" class="nice small radius blue button posiciona_btn">Nuevo producto</a>
            </div><!-- fin titular-->
	
			<form id="listado_producos" class="custom nice" name="listado_productos" enctype="multipart/form-data">
            
        	<div class="triple_col" id="firstcol">
            
                <label for="nombre">Nombre
                    <input class="input-text" type="text" name="txt_nombre" id="txt_nombre" size="60" value=""  />
                </label>
                            
                <label for="descripcion">Descripci&oacute;n
                    <input class="input-text" type="text" name="txt_descripcion" id="txt_descripcion"  size="10" value=""  />
                </label> 	            
            
            </div><!-- fin col 1 -->
            
            <div class="triple_col">
                          
                <label for="categoria">Categor&iacute;a
                    <?=DataManagerCategorias::select_categorias(0)?>
                </label> 
                
                <label for="subcategoria">Subcategor&iacute;a
                <div id="subCategoria">
                    <select name="select_subcategorias" id="select_subcategorias" class="medium">
                    	<option name="op1" value="0">Seleccione categor&iacute;a</option>                
                    </select>
                </div>
                </label> 
                   
            </div><!--fin col 2-->
            
            
            <div class="triple_col">
            
            	<label for="adicional" style="background-color:#EFEFEF;width:250px;padding:5px;margin-top:20px;border:1px solid #ccc;">
                    <input type="checkbox" name="chk_disponible" id="chk_disponible" value="2"> Disponible
                    <input type="checkbox" name="chk_nodisponble" id="chk_nodisponble"  value="2"> No disponible
                </label> 
                
                 <label for="adicional" style="background-color:#EFEFEF;width:250px;padding:5px;margin-top:25px;border:1px solid #ccc;">
                    <input type="checkbox" name="chk_portada" id="chk_portada" value="2"> Portada
                    <input type="checkbox" name="chk_oferta" id="chk_oferta"  value="2"> Ofertas
                    <input type="checkbox" name="chk_novedad" id="chk_novedad"  value="2"> Novedades
                </label> 
                
            
            </div><!-- fin col 3-->
            

            <div id="botones">     
            	<a href="#" class="nice medium radius green button" id="buscar">Buscar</a>
       		</div><!--div botones -->

            
            <div class="col_ancho_total">
            
            	<table id="listado">
                	<thead>
                    	<tr>
                        	<th>Nombre</th><th>Disponible</th><th>Oferta</th><th>Novedad</th><th>Categoria</th><th>Subcategoria</th><th>Precio</th><th><a href="javascript:void(0)" onclick="javascript:borrar_filas();" class="nice small radius red button" style="width:65px;height:15px;padding:3px 0px 0px 0px;">Eliminar</a></th>
                        </tr>
                    </thead>
                    
                    <tbody>
                    	<?=DataManagerProductos::listado_productos(0,cantidad_big,'',-1)?> 
                    </tbody>
                    <input type="hidden" name="borrarRegistros" id="borrarRegistros" value="0">
                 </table>
                 
            </div><!-- fin col todo ancho-->
        
			</form>
        	
        
        </div><!--fin contenido-->
    
    
    
    
    
    
    
    
    
    </div><!-- fin contenedor-->




</body>
</html>
