<?php
	include_once ('config.php');
	include_once (dirroot.'includes/includes.php');
	$mnu_activo =2;
	date_default_timezone_set ('Europe/Madrid');
	
	if ( (isset($_GET['borrarRegistros'])) and  ($_GET['borrarRegistros']==1) ) {
		$array_eliminar = (array) $_GET['check'];
		foreach ($array_eliminar as $clave => $valor) {
			$producto = new Productos ($valor);	
			$producto->del();
		}
	}	
	
	//Cerramos la sesión
	if(isset($_GET["sesion"])) {
		//session_name("sesiondirh");
		session_start();
		session_unset();
		session_destroy();
		Header ("Location: login.php");
	}
	
	
	
	$id_venta_generado = $_GET['id'];
	$venta = new Ventas($id_venta_generado);
	$id_venta = $venta->__get('id_venta');
	$condicion_inicial = " AND 04_ventas_id04_ventas ='".$id_venta_generado."'";
	$fecha = new DateTime($venta->__get('fecha'));
    $fecha_sql = $fecha->format('Y-m-d');
    $fecha_compra = $fecha->format('d-m-Y');
	
	if($venta->__get('enviado') == 2) { $checked ="checked"; }else{$checked ="";}
	
?>

<!DOCTYPE html>
<html lang="es">
<head>

<title>Listado de ventas, Gesti&oacute;n Pita Pinta</title>
<?php include_once ('includes/scripts_css.php'); ?>

<script language="javascript"> 

	//PAGINACION DE LOS RESULTADOS DE LA TABLA PRODUCTOS
	function paginacion_siguiente () {		 
		$('table#listado tbody').load('ajax/listado_productos.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_siguiente').val()+'&opcion=2');
	}

	function paginacion_anterior () {		 
		$('table#listado tbody').load('ajax/listado_productos.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_anterior').val()+'&opcion=2');
	}
	
	//PAGINACIÓN PARA LA TABLA DE VENTAS PRODUCTOS
	function paginacion_siguiente_b () {		 
		$('table#listado_pedido tbody').load('ajax/listado_productos.php?id_generado=<?=$id_venta_generado?>&inicio='+$('#inicio_siguiente_b').val()+'&opcion=3');
	}

	function paginacion_anterior_b () {		 
		$('table#listado_pedido tbody').load('ajax/listado_productos.php?id_generado=<?=$id_venta_generado?>&inicio='+$('#inicio_anterior_b').val()+'&opcion=3');
	}
	
	//Imprimimos los datos despues de cargar la tabla con la funcion agregar_producto
	function imprime_datos() {
		$("span#total").html($("#txt_precio_final").val()+" &euro;");	
		$("#txt_precioFinal").val($("#txt_precio_final").val());
	}

		
	//OBTENEMOS EL IDE DEL PRODUCTO E INSERTAMOS EL DATO, POSTERIORMENTE PINTAMOS LOS PRODUCTOS DE LA VENTA.
	function agregar_producto(id_producto) {

		var cantidad = $("#uds_"+id_producto).val();
		
		if(cantidad!=0){
			$.ajax({
				url:"ajax/ajax_guarda_producto_venta.php?id_producto="+id_producto+"&cantidad="+cantidad+"&id_generado=<?=$id_venta_generado?>",
				success: function () {
					$('table#listado_pedido tbody').load('ajax/listado_productos.php?opcion=3&id_generado=<?=$id_venta_generado?>', function(){
					imprime_datos();
					});	
				}
			});
		}
	}
	
	//ELIMINAMOS EL PRODUCTO DE LA TABLA
	function borrar_producto(id_producto) {
		
		$.ajax({
		  url:"ajax/ajax_borra_producto.php?id_producto="+id_producto+"",
		  success: function () {
			  $('table#listado_pedido tbody').load('ajax/listado_productos.php?opcion=3&id_generado=<?=$id_venta_generado?>', function(){
			  imprime_datos();
			  });	
		  }
		});
		
	}
	
	function pasar_valor_modal(id) {
		$('#datos_imagen_mod').load('ajax/ajax_vista_previa_producto.php?id='+id);	
	}
	

$(document).ready(function(){
	
	$('#div_ventas').css({display:"block"});
	
	//Iniciamos la ventana modal
	$(".modal").live('click',function() {
			$('#info_producto').reveal({
		 animation: 'fade'});
	});	
	
	//Ajustamos los tamaños de los div para que encajen a doble columna
	$("div#select_subcategorias",$(this)).attr("class", "custom dropdown small");
	$("div#select_categorias").attr("class", "custom dropdown small");
	
	//Los tamaños no se ajustan correctamente con jQuery en ie7, los ajustamos entonces con javascript
	var cat = document.getElementsByTagName("div");
	cat[22].className="custom dropdown small";
	
	var subcat = document.getElementsByTagName("div");
	subcat[21].className="custom dropdown small";
	
		
	//Recarga del combo des Subcategorías dependiendo de la categoría	
	$("#select_categorias").live('change', function(){ 
	 	
			var id_categoria = $("#select_categorias").val();
	
			if (id_categoria == 0) {
				$('#select_subcategorias').html('<option value="0">Seleccione Categor&iacute;a ...</option>');
				appendCustomSelect("#select_subcategorias");
				
			}else{
				var combo_pro = 1;
				$('#subCategoria').load('ajax/cargar_subcategorias.php?opcion='+combo_pro+'&id_categoria='+id_categoria,function(){
				appendCustomSelect("#select_subcategorias",1); //pasamos el valor 1 para que al recargarlo le de el tamaño small en el js de customforms en scripts_css
				});
				
				$("#select_categorias.current").css({border:"1px solid #CCC"});
			}
	});
	
	
	
	//Buscador del listado de productos
	$('#buscar_producto').click (function(event){
	 	$('table#listado tbody').load('ajax/listado_productos.php?nombre='+$('#txt_nombre_prod').val()+'&descripcion='+escape($('#txt_descripcion').val())+'&categoria='+$('#select_categorias').val()+'&subcategoria='+$('#select_subcategorias').val()+'&opcion=2');
	});
	
	
	
	//guardamos datos:
	$('#guardar').click(function(event){
			//Rellenamos los Span
			
			if (!$("#chk_enviado:checked").val()){ 
				var enviado = 1;
				}else{
				var enviado = 2;
			}
			
			//Guardamos los datos:
			$.post("ajax/ajax_guarda_venta.php", { 
			id: '<?=$id_venta_generado?>',
			id_generado: '<?=$id_venta_generado?>',
			txt_nombre: document.nueva_venta.txt_nombre.value,
			txt_apellidos: document.nueva_venta.txt_apellidos.value,
			txt_dni: document.nueva_venta.txt_dni.value,
			txt_email: document.nueva_venta.txt_email.value,
			txt_telefono: document.nueva_venta.txt_telefono.value,
			txt_direccion: document.nueva_venta.txt_direccion.value,
			txt_cp: document.nueva_venta.txt_cp.value,
			txt_provincia: document.nueva_venta.select_provincias.value,
			txt_formaPago: document.nueva_venta.select_formasPago.value,
			txt_envio: document.nueva_venta.select_formas_envio.value,
			txt_estado_venta: document.nueva_venta.select_estado_venta.value,
			txt_fecha: '<?=$fecha_sql?>',
			txt_enviado: enviado
			});
			
			var texto_aviso ="Venta modificada correctamente";
			muestra_aviso(texto_aviso,"verde");
		
			
	});
	
	
});

</script>


</head>

<body>

	<div id="contenedor">
    
    	<div id="cabecera"></div><!--fin cabecera-->
        
        
         <div id="content_menu">
            <?php include_once ('includes/menu.php'); ?>
        </div><!--fin content menu-->
        
        
        <div id="contenido">
        
        	<div id="titular">
            	<h4>Venta N&ordm;: <?=$id_venta?> <span class="blue radius label" style="text-shadow:none;position:relative;top:-3px;">Modificar</span> <span class="green radius label" style="text-shadow:none;position:relative;top:-3px;">Fecha compra | <?=$fecha_compra?></span></h4>
                <div class="posiciona_btn"><a href="javascript:void(0);" class="nice small radius green button" style="margin-right:10px;" id="guardar" >Guardar</a><a href="rizeni_listado_ventas.php" class="nice small radius blue button">Regresar al listado</a></div>
            </div><!-- fin titular-->
			
            <div id="area_notificaciones">Notificaciones</div>
			    
			<form id="nueva_venta" class="custom nice" name="nueva_venta">
     		
            <h5 style="margin-left:40px;">Datos cliente</h5>
            
            <div id="div_datos_cliente" style="clear:both;margin-bottom:15px">  
                 
                <div class="triple_col" id="firstcol">
         
                    <label for="txt_nombre">Nombre
                        <input class="input-text" type="text" name="txt_nombre" id="txt_nombre" value="<?=$venta->__get('nombre_cliente')?>"  />
                    </label>
                                
                    <label for="txt_apellidos">Apellidos
                        <input class="input-text" type="text" name="txt_apellidos" id="txt_apellidos" value="<?=$venta->__get('apellidos_cliente')?>"  />
                    </label>
                    
                    <label for="txt_dni">D.N.I
                        <input class="input-text" type="text" name="txt_dni" id="txt_dni" value="<?=$venta->__get('dni_cliente')?>"  />
                    </label>
                                
                    <label for="txt_email">Email
                        <input class="input-text" type="text" name="txt_email" id="txt_email" value="<?=$venta->__get('mail_cliente')?>"  />
                    </label> 	 
                    
                                
                
                </div><!-- fin col 1 -->
                
                
                <div class="triple_col">
                    
                    <label for="txt_telefono">Tel&eacute;fono
                        <input class="input-text" type="text" name="txt_telefono" id="txt_telefono" value="<?=$venta->__get('telefono_cliente')?>"  />
                    </label>
                    
                    <label for="txt_direccion">Direcci&oacute;n
                        <input class="input-text" type="text" name="txt_direccion" id="txt_direccion"  value="<?=$venta->__get('direccion_cliente')?>"  />
                    </label>
                    
                    <label for="txt_cp">C.P
                        <input class="input-text" type="text" name="txt_cp" id="txt_cp"  size="10" value="<?=$venta->__get('codigo_postal')?>"  />
                    </label>
                    
                    <label for="provincia">Provincia
                        <?=DataManagerProvincias::select_provincias($venta->__get('id_provincia'))?>
                    </label>
    
                       
                </div><!--fin col 2-->
                
                
                <div class="triple_col">
                
                	<label for="select_formasPago">Forma de pago
                        <?=DataManagerVentas::select_formasPago($venta->__get('forma_de_pago'))?>
                    </label>
                    
                    <label for="forma_de_envio">Forma de Env&iacute;o
                        <?=DataManagerFormasEnvio::select_formas_envio($venta->__get('id_forma_envio'))?>
                    </label> 
                    
                    <label for="estado_venta">Estado de la venta
                        <?=DataManagerEstadoVenta::select_estado_venta($venta->__get('id_estado_venta'))?>
                    </label>   
                    
                    <label for="txt_precioFinal">Estado del env&iacute;o
                        <span class="div_envio"><input type="checkbox" name="chk_enviado" id="chk_enviado"  size="10" <?=$checked?>  /> Marcar si el pedido est&aacute; enviado</span>
                    </label>              
                    
                    
                
                </div><!-- fin col 3--> 
                
            <div style="clear:both"></div>    
            </div><!-- fin datos cliente-->

            
			<div id="div_ventas">
            
            	<div class="doble_col_p">
                	
					<h5>Productos</h5>
                	<label for="txt_nombre_prod" style="float:left;">Nombre
                    	<input class="input-text" type="text" name="txt_nombre_prod" id="txt_nombre_prod" value="" style="width:190px!important;"  />
                	</label>
                            
                    <label for="txt_descripcion" style="float:right;">Descripci&oacute;n
                        <input class="input-text" type="text" name="txt_descripcion" id="txt_descripcion" value="" style="width:190px!important;"  />
                    </label>
                    
                    <label for="categoria" style="float:left;">Categor&iacute;a
                    	<?=DataManagerCategorias::select_categorias(0)?>
                	</label> 
                    
                    <label for="subcategoria" style="float:right;">Subcategor&iacute;a
                        <div id="subCategoria">
                            <select name="select_subcategorias" id="select_subcategorias">
                                <option name="op1" value="0">Seleccione categor&iacute;a</option>                
                            </select>
                        </div>
                	</label> 
                    
                    <div id="botones" style="clear:both;">     
            			<a href="javascript:void(0);" class="nice small radius green button" id="buscar_producto">Buscar</a>
       				</div><!--div botones -->
                    
                    <table id="listado">
                        <thead>
                            <tr>
                                <th>Nombre</th><th>Uds</th><th>Precio</th><th>Acci&oacute;n</th>
                            </tr>
                        </thead>
                        
                        <tbody>
                         	<?=DataManagerProductos::listado_productos(0,cantidad_big,'',-1,2)?>    
                        </tbody>
                    
                 	</table>
                    
                </div><!-- fin col izq -->
                
                
                
                
                <div class="doble_col_p" id="der">
                
                <h5>Pedido</h5>
                <table id="listado_pedido">
                
                    <thead>
                        <tr>
                            <th>Nombre</th><th>Uds</th><th>Precio</th><th>Acci&oacute;n</th>
                        </tr>
                    </thead>
                    
                    <tbody>
                      	<?=DataManagerVentaProductos::listado_productos_venta(0,cantidad_big,$condicion_inicial,-1)?> 	
                    </tbody>
                
                </table>
                
                <div class="total_venta">
                    	Total sin I.V.A 
                        <span id="total"><?=number_format($venta->__get('precio_total'),2)?> &euro;</span>
                </div>
                
                
               </div><!-- fin col der-->
            
            </div><!-- fin ventas -->
            
			
			<div class="posiciona_btn"><a href="javascript:void(0);" class="nice small radius green button" style="margin-right:10px;" id="guardar" >Guardar</a><a href="rizeni_listado_ventas.php" class="nice small radius blue button">Regresar al listado</a></div>
            

			</form>
 
        </div><!--fin contenido-->
    
    </div><!-- fin contenedor-->
    
    
	<strong><!--EMPIEZA LA VENTANA MODAL PARA MODIFICAR LA FOTO-->
     <div id="info_producto" class="reveal-modal">
     	<div id="datos_imagen_mod"></div>
     <a class="close-reveal-modal">&#215;</a>   	
     </div><!-- fin reveal modificar foto--></strong>



</body>
</html>
