<?php
	include_once ('config.php');
	include_once (dirroot.'includes/includes.php');
	$mnu_activo =1;
	date_default_timezone_set ('Europe/Madrid');
	
	//Cerramos la sesión
	if(isset($_GET["sesion"])) {
		//session_name("sesiondirh");
		session_start();
		session_unset();
		session_destroy();
		Header ("Location: login.php");
	}
	
		
?>

<!DOCTYPE html>
<html lang="es">
<head>

<title>Nuevo producto, Gesti&oacute;n Pita Pinta</title>
<?php include_once ('includes/scripts_css.php'); ?>


<script language="javascript"> 

	function paginacion_siguiente () {		 
		$('tbody').load('ajax/listado_imagenes.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_siguiente').val()+'&opcion=2');
	}

	function paginacion_anterior () {		 
		$('tbody').load('ajax/listado_imagenes.php?where='+$('#condicion').val()+'&inicio='+$('#inicio_anterior').val()+'&opcion=2');
	}
	
	function asociarImagen(id) {
		$('#div_img_asoc').load('ajax/ajax_asociar_imagen.php?id='+id);	
	}
	
	
	//CARGAMOS LOS DATOS EN LA VENTANA MODAL
	function pasar_valor_modal(id) {
		$('#datos_imagen_mod').load('ajax/ajax_visualiza_foto_modal.php?id='+id);	
	}
	
	
	$(document).ready(function(){
		
		//INICIALIZAMOS LA VENTANA MODAL PARA LA MODIFICACION DE LA FOTO
		$(".modal").live('click',function() {
			$('#modifica_foto').reveal({
		 animation: 'fade'});
		});		
		
		$("#select_categorias").live('change', function(){ 
	 	
			var id_categoria = $("#select_categorias").val();
	
			if (id_categoria == 0) {
				$('#select_subcategorias').html('<option value="0">Seleccione Categor&iacute;a ...</option>');
				appendCustomSelect("#select_subcategorias");
				
			}else{
				var combo_pro = 1;
				$('#subCategoria').load('ajax/cargar_subcategorias.php?opcion='+combo_pro+'&id_categoria='+id_categoria,function(){
				appendCustomSelect("#select_subcategorias");
				});
				
				$("#select_categorias.current").css({border:"1px solid #CCC"});
			}
		
	  	});
		
		
		$("#txt_nombre").blur(function(){	
			if($("#txt_nombre").val()!=0) {
				$("#txt_nombre").css({border:"1px solid #CCC"});	
			}
		});
		
		$("#txt_precio").blur(function(){	
			if($("#txt_precio").val()!=0) {
				$("#txt_precio").css({border:"1px solid #CCC"});	
			}
		});
		
		$("#select_subcategorias").live('change', function(){ 	
			if($("#select_subcategorias").val()!=0) {
				$("#select_subcategorias.current").css({border:"1px solid #CCC"});	
			}
		});
		
		
		$('#buscar_img').click (function(event){
		
	 		$('tbody').load('ajax/listado_imagenes.php?descripcion='+$('#txt_descripcion').val()+'&descriptor='+$('#txt_descriptor').val()+'&opcion=2');
		
		}); 
		
		$("#guardar").click(function(){		
		
			if (!$("#chk_disponible:checked").val()){ 
				var chkDisponible = 1;
			}else{
				var chkDisponible = 2;
			}
			
			if (!$("#chk_oferta:checked").val()){ 
				var chkOferta = 1;
			}else{
				var chkOferta = 2;
			}
			
			if (!$("#chk_novedad:checked").val()){ 
				var chkNovedad = 1;
			}else{
				var chkNovedad = 2;
			}
			
			if (!$("#chk_portada:checked").val()){ 
				var chkPortada = 1;
			}else{
				var chkPortada = 2;
			}
			
			
			if ((document.nuevo_producto.txt_nombre.value =='') || (document.nuevo_producto.txt_precio.value =='')) {
				$("#txt_nombre").css({border:"1px solid #CC3300"});	
				$("#txt_precio").css({border:"1px solid #CC3300"});
				
			return false;	
			}
			
			if($('#select_categorias').val()==0) { $("#select_categorias.current").css({border:"1px solid #CC3300"});return false;}
			
			//En caso de que no tenga subcategoría y para que no de error en mysql le insertamos un null
			var subc;
			if((document.nuevo_producto.select_subcategorias.value) == "0") {
				subc ="NULL";
			}
			else {
				subc = document.nuevo_producto.select_subcategorias.value;
			}
			
			
			$.post("ajax/ajax_guarda_producto.php", { 
			txt_nombre: document.nuevo_producto.txt_nombre.value,
			txt_descripcion: document.nuevo_producto.txt_descripcion_prod.value,	
			chk_disponible: chkDisponible,
			chk_oferta: chkOferta,
			chk_novedad: chkNovedad,
			chk_portada: chkPortada,
			txt_precio: document.nuevo_producto.txt_precio.value,
			select_categoria: document.nuevo_producto.select_categorias.value,
			select_subcategoria: subc,
			imagen: document.nuevo_producto.img_asociada.value,
			});

			var texto_aviso ="Producto guaradado correctamente";
			muestra_aviso(texto_aviso,"verde");
			
			document.nuevo_producto.reset();
		    $('form.custom select').each(function () {
			  appendCustomSelect(this);
			});

		});	 
	 
	 
	});
	
</script>

</head>

<body>

	<div id="contenedor">
    
    	<div id="cabecera"></div><!--fin cabecera-->
        
        
         <div id="content_menu">
            <?php include_once ('includes/menu.php'); ?>
        </div><!--fin content menu-->
        
        
        <div id="contenido">
        
        	<div id="titular">
            	<h4>Nuevo producto</h4>
                <a href="rizeni_listado_productos.php" class="nice small radius blue button posiciona_btn">Regresar al listado</a>
            </div><!-- fin titular-->
            
			<div id="area_notificaciones">Notificaciones</div>
            
			<form id="nuevo_producto" class="custom nice" name="nuevo_producto"  method="post" enctype="multipart/form-data">
            
        	<div class="doble_col">
            
            	<h5>Datos del producto</h5>
                <label for="nombre">Nombre
                    <input class="input-text large large" type="text" name="txt_nombre" id="txt_nombre" size="60" value=""  />
                </label>
              
                <label for="descripcion">Descripci&oacute;n
                    <textarea class="input-text large" name="txt_descripcion_prod" id="txt_descripcion_prod"  style="height:300px!important;"></textarea>
                </label>

                 <label for="precio">Precio
                    <input class="input-text" type="text" name="txt_precio" id="txt_precio" size="60" value=""  />
                </label>
                
                <label for="adicional" style="background-color:#EFEFEF;width:350px;padding:5px;">
                    <input type="checkbox" name="chk_disponible" id="chk_disponible" value="2"> Disponible
                    <input type="checkbox" name="chk_oferta" id="chk_oferta"  value="2"> En oferta
                    <input type="checkbox" name="chk_novedad" id="chk_novedad"  value="2"> Novedad
                    <input type="checkbox" name="chk_portada" id="chk_portada"  value="2"> Portada
                </label> 
                
                <label for="categoria">Categor&iacute;a
                    <?=DataManagerCategorias::select_categorias(0)?>
                </label> 
                
                <label for="subcategoria">Subcategor&iacute;a
                <div id="subCategoria">
                    <select name="select_subcategoria" id="select_subcategoria" class="medium">
                    	<option name="op1" value="0">Seleccione categor&iacute;a</option>                
                    </select>
                </div>
                </label> 
            
            </div><!-- fin col 1 -->
            
            <div class="doble_col">
   
                <h5>Im&aacute;genes</h5>
                
                <label for="txt_descripcion" style="float:left;">Descripci&oacute;n
                    <input class="input-text" type="text" name="txt_descripcion" id="txt_descripcion" size="60" value="" style="width:190px!important;" />
                </label>
              
                <label for="txt_descriptor" style="float:right;">Descriptor
                    <input class="input-text" type="text" name="txt_descriptor" id="txt_descriptor" size="60" value="" style="width:190px!important;" />
                </label>
                
                <p style="text-align:center;"><a href="javascript:void(0);" class="nice small radius blue button" id="buscar_img">Buscar</a></p>
                
                <table id="listado">
                	<thead>
                    	<tr>
                        	<th>Nombre</th><th>Descriptor</th><th>Imagen</th><th>Asociar</th>
                        </tr>
                    </thead>
                    
                    <tbody>                   	
                    	<?=DataManagerImagenes::seleccion_listado_imagenes_asociar(0,cantidad,'',-1)?>    	
                    </tbody>
                    
                 </table>
                 
                <h6>Imagen asociada al producto</h6>
                <div id="div_img_asoc">
                
                	<!--<p style="margin:0;padding:0;text-align:center;font-weight:bold;">No hay ninguna imagen asociada a este producto ...</p>-->
                    <input type="hidden" name="img_asociada" id="img_asociada" value="0" >
					<?=DataManagerImagenes::pinta_img(0)?>
                	
                </div>
                   
            </div><!--fin col 2-->
            
            
            <div id="botones">     
            	<a href="javascript:void(0);" class="nice medium radius green button" id="guardar">Guardar</a>
       		</div><!--div botones -->
        
			</form>
        	
        
        </div><!--fin contenido-->
    
    
    
    
    
    
    
    
    
    </div><!-- fin contenedor-->

	<!--EMPIEZA LA VENTANA MODAL PARA MODIFICAR LA FOTO-->
     <div id="modifica_foto" class="reveal-modal">
     	<div id="datos_imagen_mod"></div>
     <a class="close-reveal-modal">&#215;</a>   	
     </div><!-- fin reveal modificar foto-->


</body>
</html>
